Name:		dracut-modules-olpc
Version:	0.7.6
Release:	13%{?dist}
Summary:	OLPC modules for dracut initramfs
License:	GPLv2
URL:		http://wiki.laptop.org/go/Dracut-modules-olpc
Source0:	http://dev.laptop.org/pub/source/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:	python-unversioned-command
BuildRequires:	Pyrex, zlib-devel, python2-devel, netpbm-progs
Requires:	dracut, bitfrost, mtd-utils-ubi, wireless-tools, busybox

%description
Dracut initramfs modules to implement OLPC-specific features, including
antitheft, switching between OS updates, and the OLPC boot animation.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install


%files
%license COPYING
%doc README
%{_prefix}/lib/dracut/modules.d/*
%{_libdir}/dracut-modules-olpc
%config(noreplace) /etc/dracut-olpc-*.conf


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 03 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.7.6-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec  9 2012 Daniel Drake <dsd@laptop.org> - 0.7.6-1
- Add mwifiex support in activation initramfs for XO-4

* Wed Nov 14 2012 Daniel Drake <dsd@laptop.org> - 0.7.5-1
- Avoid udev race in partition resize

* Thu Nov  8 2012 Daniel Drake <dsd@laptop.org> - 0.7.4-1
- Simplify activation launch

* Mon Nov  5 2012 Daniel Drake <dsd@laptop.org> - 0.7.3-1
- XO-1.75 boot compatibility fix, disable emergency shell again

* Wed Sep 26 2012 Daniel Drake <dsd@laptop.org> - 0.7.2-1
- Update for F18 dracut

* Wed Sep 12 2012 Daniel Drake <dsd@laptop.org> - 0.7.1-1
- /bootpart behaviour change, support mwifiex wifi hardware

* Mon Sep  3 2012 Daniel Drake <dsd@laptop.org> - 0.7.0-1
- Update for F18, initial XO-4 support

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 30 2012 Daniel Drake <dsd@laptop.org> - 0.6.11-1
- Fix XO-1 mesh activation

* Thu Jun 28 2012 Daniel Drake <dsd@laptop.org> - 0.6.10-1
- Ship correct wireless firmware

* Wed Jun 20 2012 Daniel Drake <dsd@laptop.org> - 0.6.9-1
- Safety against executing debug shell

* Wed Jun  6 2012 Daniel Drake <dsd@laptop.org> - 0.6.8-1
- Partition resize bugfix
- Network connection bugfix

* Tue Apr 24 2012 Daniel Drake <dsd@laptop.org> - 0.6.7-1
- rootfs mount improvements
- Use new jffs2 rp_size feature

* Tue Apr  3 2012 Daniel Drake <dsd@laptop.org> - 0.6.6-1
- Partition grow bugfix.

* Mon Apr  2 2012 Daniel Drake <dsd@laptop.org> - 0.6.5-1
- Grow SD card root partition on first boot

* Mon Mar 19 2012 Daniel Drake <dsd@laptop.org> - 0.6.4-1
- Move to plymouth-based boot animation

* Thu Mar 15 2012 Daniel Drake <dsd@laptop.org> - 0.6.3-1
- Adapt for MTD partitioning change, fixes boot on XO-1

* Thu Mar  8 2012 Daniel Drake <dsd@laptop.org> - 0.6.2-1
- Move modules to new /usr/lib/dracut location

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 09 2011 Yader Velásquez <yaderv@fedoraproject.org> - 0.6.1
- Remove 05olpc-busybox
- Switch to module-setup

* Mon Oct 10 2011 Daniel Drake <dsd@laptop.org> - 0.6.0
- New F15+ compatible version
- Don't activate modules unless requested in configuration (#707423)

* Thu Oct  6 2011 Daniel Drake <dsd@laptop.org> - 0.5.18-1
- XO-1.75 activation GUI fix

* Thu Sep 15 2011 Daniel Drake <dsd@laptop.org> - 0.5.17-1
- UBIFS and JFFS2 fixes for XO-1

* Sun Aug 28 2011 Daniel Drake <dsd@laptop.org> - 0.5.16-1
- XO-1.75 support

* Wed Jul 06 2011 Daniel Drake <dsd@laptop.org> - 0.5.15-1
- Fix connecting to some APs for activation, thanks to Aleksey Lim

* Sat Jun 25 2011 Daniel Drake <dsd@laptop.org> - 0.5.14-1
- Fix mounting root filesystems after activation

* Sun Jun 19 2011 Daniel Drake <dsd@laptop.org> - 0.5.13-1
- Activation fixes

* Fri Jun 17 2011 Daniel Drake <dsd@laptop.org> - 0.5.12-1
- Include kernel modules in activation initramfs

* Wed Jun  1 2011 Daniel Drake <dsd@laptop.org> - 0.5.11-1
- Fix creation of /versions/running link

* Mon May 30 2011 Daniel Drake <dsd@laptop.org> - 0.5.10-1
- Fix purging of unpartitioned boot configs

* Tue May 17 2011 Daniel Drake <dsd@laptop.org> - 0.5.9-1
- Start boot animation while purging old versions

* Tue Feb 22 2011 Daniel Drake <dsd@laptop.org> - 0.5.8-1
- Install build configuration files in /etc

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 13 2010 Daniel Drake <dsd@laptop.org> - 0.5.7-1
- Fix booting from UBIFS partitions

* Wed Nov 10 2010 Daniel Drake <dsd@laptop.org> - 0.5.6-1
- Fix booting of new update. Disable fstab verification.

* Tue Nov  9 2010 Daniel Drake <dsd@laptop.org> - 0.5.5-1
- New version purges old updates during boot

* Sun Nov  7 2010 Daniel Drake <dsd@laptop.org> - 0.5.4-1
- Add olpc-busybox module to make smaller initramfs

* Wed Sep 29 2010 jkeating - 0.5.3-2
- Rebuilt for gcc bug 634757

* Sat Sep 11 2010 Daniel Drake <dsd@laptop.org> - 0.5.3-1
- Fix detection of boot filesystem

* Sat Sep 11 2010 Daniel Drake <dsd@laptop.org> - 0.5.2-2
- Add missing dep on wireless-tools

* Thu Sep  2 2010 Daniel Drake <dsd@laptop.org> - 0.5.2-1
- Add ubifs boot support

* Tue Aug 31 2010 Daniel Drake <dsd@laptop.org> - 0.5.1-1
- Generate activation initramfs separately

* Tue Aug 24 2010 Daniel Drake <dsd@laptop.org> - 0.5.0-1
- New version for F14 support

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 26 2010 Daniel Drake <dsd@laptop.org> - 0.3.4-1
- Fix activation problem introduced by greplease change

* Thu May 20 2010 Daniel Drake <dsd@laptop.org> - 0.3.3-1
- Fix booting on secure XO1, and parsing of large activation files

* Mon Dec 14 2009 Daniel Drake <dsd@laptop.org> - 0.3.2-1
- New version to fix activation code

* Mon Dec 7 2009 Daniel Drake <dsd@laptop.org> - 0.3.1-1
- New version to fix booting alternate image

* Tue Nov 24 2009 Daniel Drake <dsd@laptop.org> - 0.3.0-1
- New version

* Wed Nov 18 2009 Daniel Drake <dsd@laptop.org> - 0.2.8-1
- New version

* Tue Nov 17 2009 Daniel Drake <dsd@laptop.org> - 0.2.7-1
- New version

* Mon Nov 16 2009 Daniel Drake <dsd@laptop.org> - 0.2.6-1
- New version

* Fri Nov 13 2009 Daniel Drake <dsd@laptop.org> - 0.2.5-1
- New version

* Thu Nov 12 2009 Daniel Drake <dsd@laptop.org> - 0.2.4-1
- New version

* Mon Nov  9 2009 Daniel Drake <dsd@laptop.org> - 0.2.3-1
- New version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Daniel Drake <dsd@laptop.org> - 0.2.1-1
- Initial import

